<?xml version="1.0" encoding="utf-8" ?>
<!--
Copyright (c) 2015-2016, The Linux Foundation. All rights reserved.

Not a Contribution.

Copyright 2015 The Android Open Source Project

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
u may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
-->

<MediaCodecs>
    <Encoders>
        <MediaCodec name="OMX.qcom.video.encoder.avc" type="video/avc" update="true">
            <Limit name="measured-frame-rate-320x240" range="238-238" />
            <Limit name="measured-frame-rate-720x480" range="123-123" />
            <Limit name="measured-frame-rate-1280x720" range="50-50" />
            <Limit name="measured-frame-rate-1920x1080" range="16-40" />
        </MediaCodec>
        <MediaCodec name="OMX.qcom.video.encoder.hevc" type="video/hevc" update="true">
            <Limit name="measured-frame-rate-320x240" range="226-226" />
            <Limit name="measured-frame-rate-720x480" range="121-121" />
            <Limit name="measured-frame-rate-1280x720" range="49-49" />
            <Limit name="measured-frame-rate-1920x1080" range="16-45" />
            <Limit name="measured-frame-rate-3840x2160" range="6-24" />
        </MediaCodec>
        <MediaCodec name="OMX.qcom.video.encoder.h263" type="video/3gpp" update="true">
            <Limit name="measured-frame-rate-176x144" range="303-303" />
            <Limit name="measured-frame-rate-352x288" range="259-259" />
        </MediaCodec>
        <MediaCodec name="OMX.qcom.video.encoder.mpeg4" type="video/mp4v-es" update="true">
            <Limit name="measured-frame-rate-176x144" range="299-299" />
            <Limit name="measured-frame-rate-352x288" range="245-245" />
            <Limit name="measured-frame-rate-640x480" range="148-148" />
        </MediaCodec>
        <MediaCodec name="OMX.qcom.video.encoder.vp8" type="video/x-vnd.on2.vp8" update="true">
            <Limit name="measured-frame-rate-320x180" range="266-266" />
            <Limit name="measured-frame-rate-640x360" range="165-165" />
            <Limit name="measured-frame-rate-1280x720" range="49-49" />
            <Limit name="measured-frame-rate-1920x1080" range="16-40" />
        </MediaCodec>
        <MediaCodec name="OMX.google.h264.encoder" type="video/avc" update="true">
            <Limit name="measured-frame-rate-320x240" range="215-215" />
            <Limit name="measured-frame-rate-720x480" range="100-100" />
            <Limit name="measured-frame-rate-1280x720" range="56-56" />
            <Limit name="measured-frame-rate-1920x1080" range="30-30" />
        </MediaCodec>
        <MediaCodec name="OMX.google.h263.encoder" type="video/3gpp" update="true">
            <Limit name="measured-frame-rate-176x144" range="200-200" />
        </MediaCodec>
        <MediaCodec name="OMX.google.mpeg4.encoder" type="video/mp4v-es" update="true">
            <Limit name="measured-frame-rate-176x144" range="180-180" />
        </MediaCodec>
        <MediaCodec name="OMX.google.vp8.encoder" type="video/x-vnd.on2.vp8" update="true">
            <Limit name="measured-frame-rate-320x180" range="39-39" />
            <Limit name="measured-frame-rate-640x360" range="32-32" />
            <Limit name="measured-frame-rate-1280x720" range="17-24" />
            <Limit name="measured-frame-rate-1920x1080" range="8-12" />
        </MediaCodec>
    </Encoders>
    <Decoders>
        <MediaCodec name="OMX.qcom.video.decoder.avc" type="video/avc" update="true">
            <Limit name="measured-frame-rate-320x240" range="221-221" />
            <Limit name="measured-frame-rate-720x480" range="156-156" />
            <Limit name="measured-frame-rate-1280x720" range="111-111" />
            <Limit name="measured-frame-rate-1920x1088" range="71-71" />
        </MediaCodec>
            <MediaCodec name="OMX.qcom.video.decoder.hevc" type="video/hevc" update="true">
            <Limit name="measured-frame-rate-352x288" range="222-222" />
            <Limit name="measured-frame-rate-720x480" range="165-165" />
            <Limit name="measured-frame-rate-1280x720" range="88-88" />
            <Limit name="measured-frame-rate-1920x1080" range="56-56" />
            <Limit name="measured-frame-rate-3840x2160" range="12-12" />
        </MediaCodec>
        <MediaCodec name="OMX.qcom.video.decoder.h263" type="video/3gpp" update="true">
            <Limit name="measured-frame-rate-176x144" range="356-356" />
            <Limit name="measured-frame-rate-352x288" range="292-292" />
        </MediaCodec>
        <MediaCodec name="OMX.qcom.video.decoder.mpeg4" type="video/mp4v-es" update="true">
            <Limit name="measured-frame-rate-176x144" range="146-146" />
            <Limit name="measured-frame-rate-480x360" range="145-145" />
        </MediaCodec>
        <MediaCodec name="OMX.qcom.video.decoder.vp8" type="video/x-vnd.on2.vp8" update="true">
            <Limit name="measured-frame-rate-320x240" range="337-337" />
            <Limit name="measured-frame-rate-640x360" range="337-337" />
            <Limit name="measured-frame-rate-1280x720" range="337-337" />
            <Limit name="measured-frame-rate-1920x1080" range="248-248" />
        </MediaCodec>
        <MediaCodec name="OMX.qcom.video.decoder.vp9" type="video/x-vnd.on2.vp9" update="true">
            <Limit name="measured-frame-rate-320x240" range="377-377" />
            <Limit name="measured-frame-rate-640x360" range="323-323" />
            <Limit name="measured-frame-rate-1280x720" range="262-262" />
            <Limit name="measured-frame-rate-1920x1080" range="220-220" />
            <Limit name="measured-frame-rate-3840x2160" range="51-51" />
        </MediaCodec>
        <MediaCodec name="OMX.google.h264.decoder" type="video/avc" update="true">
            <Limit name="measured-frame-rate-320x240" range="122-122" />
            <Limit name="measured-frame-rate-720x480" range="68-68" />
            <Limit name="measured-frame-rate-1280x720" range="32-32" />
            <Limit name="measured-frame-rate-1920x1080" range="6-10" />
        </MediaCodec>
        <MediaCodec name="OMX.google.h263.decoder" type="video/3gpp" update="true">
            <Limit name="measured-frame-rate-176x144" range="104-279" />
            <Limit name="measured-frame-rate-352x288" range="200-200" />
        </MediaCodec>
        <MediaCodec name="OMX.google.hevc.decoder" type="video/hevc" update="true">
            <Limit name="measured-frame-rate-352x288" range="170-170" />
            <Limit name="measured-frame-rate-640x360" range="89-89" />
            <Limit name="measured-frame-rate-720x480" range="73-73" />
            <Limit name="measured-frame-rate-1280x720" range="32-32" />
            <Limit name="measured-frame-rate-1920x1080" range="21-21" />
        </MediaCodec>
        <MediaCodec name="OMX.google.mpeg4.decoder" update="true">
            <Type name="video/mp4v-es">
                <Limit name="measured-frame-rate-176x144" range="430-450" />
            </Type>
        </MediaCodec>
        <MediaCodec name="OMX.google.vp8.decoder" type="video/x-vnd.on2.vp8" update="true">
            <Limit name="measured-frame-rate-320x240" range="330-381" />
            <Limit name="measured-frame-rate-640x360" range="139-185" />
            <Limit name="measured-frame-rate-1280x720" range="22-38" />
            <Limit name="measured-frame-rate-1920x1080" range="9-18" />
        </MediaCodec>
        <MediaCodec name="OMX.google.vp9.decoder" type="video/x-vnd.on2.vp9" update="true">
            <Limit name="measured-frame-rate-320x240" range="200-230" />
            <Limit name="measured-frame-rate-640x360" range="81-90" />
            <Limit name="measured-frame-rate-1280x720" range="32-40" />
            <Limit name="measured-frame-rate-1920x1080" range="19-23" />
        </MediaCodec>
    </Decoders>
</MediaCodecs>
